# Start

The following examples and guides will help you start building on Celo.

## Interacting with Smart Contracts and Celo Networks

- [Sending CELO](walkthroughs/hellocelo.md)

  - The sending CELO walkthrough will guide you through the basics of connecting to Celo networks using ContractKit and sending a test transaction.

- [Deploy a Contract (local node)](walkthroughs/hellocontracts.md)

  - Our Deploy a Contract walkthrough will guide you through the basics of how to deploy your own smart contracts from a local Celo node. In this tutorial you'll deploy a contract with a simple API for writing and reading names.

- [Deploy a Contract (Forno)](walkthroughs/hello-contract-remote-node.md)

  - Our second Deploy a Contract tutorial demonstrates how to deploy smart contracts with [Truffle](https://www.trufflesuite.com/truffle) and [Forno](forno/), a remote node service provider.

## Mobile DApps

- [DappKit Truffle Box](walkthroughs/hello-mobile-dapp.md)
  - The [DappKit Truffle Box](walkthroughs/hello-mobile-dapp.md) walkthrough will help you create a simple mobile dApp using dAppKit and the React Native Expo framework. This application will allow connecting to your Valora account and sending transactions.

## Web DApps

<!-- - [DappKit web example with expo] -->
<!-- - [DappKit web example without expo] -->

- [Interact with Celo core contracts](walkthroughs/web-dapp.md)
  - This React based tutorial will walk you through creating a basic Governance voting DApp. Topics covered include ContractKit usage, connecting to a users wallet and some best practices for general DApp development
