# Digital Wallets for Celo

## Choosing a Wallet

Wallets are tools that create accounts, manage keys, and help users transact on the Celo network.

It's important to be careful when choosing a wallet because they manage your secret account keys. You should only use reputable wallets that are well maintained by organizations/people that you trust.

The [Celo Native Wallets](#celo-native-wallets) section shows some popular wallets that were built specifically for the Celo network. They often include features that more general wallets do not, like paying for fees with cUSD. The [Celo Compatible Wallets](#celo-compatible-wallets) section has wallets that can work with Celo but were built for other networks (like Ethereum) or through company partnerships (like Pesabase).

## Celo Native Wallets

### Valora

Valora is a mobile wallet focused on making global peer-to-peer payments simple and accessible to anyone. It supports the Celo Identity Protocol which allows users to verify their phone number and send payments to their contacts.

- [valoraapp.com](https://valoraapp.com)
- Platforms: iOS, Android
- Maintainers: [cLabs](https://clabs.co)
- Ledger support: No

### CeloWallet.app

CeloWallet is a lightweight, mobile-friendly wallet for both web and desktop. It supports core Celo functionality like payments, exchanges, staking, and governance.

- [celowallet.app](https://celowallet.app)
- Platforms: Web, MacOS, Linux, Windows
- Maintainers: [J M Rossy](https://twitter.com/RossyWrote)
- Ledger support: Yes

### Celo Terminal

Celo Terminal is a wallet and DApp platform. It aims to be a hub for installing and running Celo DApps locally on your desktop.

- [celoterminal.com](https://celoterminal.com)
- Platforms: MacOS, Linux, Windows
- Maintainers: [WOTrust](https://twitter.com/wotrust1)
- Ledger support: Yes

### CeloExtensionWallet

Celo Extension Wallet is a fork of Metamask for the Celo Network. It's a browser extension for Chrome.

- [chrome.google.com/webstore](https://chrome.google.com/webstore/detail/celoextensionwallet/kkilomkmpmkbdnfelcpgckmpcaemjcdh)
- Platforms: Chrome Browser
- Maintainers: [DSRV Labs](https://www.dsrvlabs.com/en/)
- Ledger support: Yes

## Celo Compatible Wallets

There are currently a few other compatible wallets. When the upcoming [Donut hard-fork](https://github.com/celo-org/celo-proposals/issues/94) is live, Celo transactions will become compatible with Ethereum transactions. This will allow some Ethereum wallets to work with Celo. More updates on this coming soon.

### Dove Wallet

- [dovewallet.com](https://dovewallet.com)
- Platforms: Web

### Pesabase

- [pesabase.com](https://pesabase.com/)
- Platforms: iOS, Android
